Update webhook subscription
curl --request PATCH \
--url https://api.aura-app.ai/v1/webhooks/{id} \
--header 'Content-Type: application/json' \
--data '
{
"target_url": "https://api.example.com/webhooks/aura/v2"
}
'import requests
url = "https://api.aura-app.ai/v1/webhooks/{id}"
payload = { "target_url": "https://api.example.com/webhooks/aura/v2" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({target_url: 'https://api.example.com/webhooks/aura/v2'})
};
fetch('https://api.aura-app.ai/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aura-app.ai/v1/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'target_url' => 'https://api.example.com/webhooks/aura/v2'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aura-app.ai/v1/webhooks/{id}"
payload := strings.NewReader("{\n \"target_url\": \"https://api.example.com/webhooks/aura/v2\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.aura-app.ai/v1/webhooks/{id}")
.header("Content-Type", "application/json")
.body("{\n \"target_url\": \"https://api.example.com/webhooks/aura/v2\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aura-app.ai/v1/webhooks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"target_url\": \"https://api.example.com/webhooks/aura/v2\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"created_at": "2026-01-17T08:00:00Z",
"event_type": "call.booked",
"id": "550e8400-e29b-41d4-a716-446655440000",
"target_url": "https://api.example.com/webhooks/aura",
"event_types": [
"call.booked",
"call.completed"
]
},
"success": true
}{
"error": "Webhook subscription not found",
"success": false,
"code": "WEBHOOK_NOT_FOUND"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"error": "Webhook subscription not found",
"success": false,
"code": "WEBHOOK_NOT_FOUND"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}Webhooks
Update webhook subscription
Update the target URL for a webhook subscription.
Notes:
- The event_type cannot be changed (create a new subscription instead)
- The secret cannot be changed (create a new subscription for rotation)
- New URL must use HTTPS
PATCH
/
v1
/
webhooks
/
{id}
Update webhook subscription
curl --request PATCH \
--url https://api.aura-app.ai/v1/webhooks/{id} \
--header 'Content-Type: application/json' \
--data '
{
"target_url": "https://api.example.com/webhooks/aura/v2"
}
'import requests
url = "https://api.aura-app.ai/v1/webhooks/{id}"
payload = { "target_url": "https://api.example.com/webhooks/aura/v2" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({target_url: 'https://api.example.com/webhooks/aura/v2'})
};
fetch('https://api.aura-app.ai/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aura-app.ai/v1/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'target_url' => 'https://api.example.com/webhooks/aura/v2'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aura-app.ai/v1/webhooks/{id}"
payload := strings.NewReader("{\n \"target_url\": \"https://api.example.com/webhooks/aura/v2\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.aura-app.ai/v1/webhooks/{id}")
.header("Content-Type", "application/json")
.body("{\n \"target_url\": \"https://api.example.com/webhooks/aura/v2\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aura-app.ai/v1/webhooks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"target_url\": \"https://api.example.com/webhooks/aura/v2\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"created_at": "2026-01-17T08:00:00Z",
"event_type": "call.booked",
"id": "550e8400-e29b-41d4-a716-446655440000",
"target_url": "https://api.example.com/webhooks/aura",
"event_types": [
"call.booked",
"call.completed"
]
},
"success": true
}{
"error": "Webhook subscription not found",
"success": false,
"code": "WEBHOOK_NOT_FOUND"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"error": "Webhook subscription not found",
"success": false,
"code": "WEBHOOK_NOT_FOUND"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}Update the target URL for a webhook subscription.
Notes:
- The event_type cannot be changed (create a new subscription instead)
- The secret cannot be changed (create a new subscription for rotation)
- New URL must use HTTPS
Path Parameters
Webhook subscription ID (UUID)
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
New target URL for webhook delivery
Example:
"https://api.example.com/webhooks/aura/v2"